%define anolis_release 1

Name:		libmad
Version:	0.16.4
Release:	%{anolis_release}%{?dist}
Summary:	MPEG audio decoder library

License:	GPL-2.0-or-later
URL:        https://codeberg.org/tenacityteam/libmad
Source0:    %{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	gcc-c++

%description
MAD is a high-quality MPEG audio decoder. It currently supports MPEG-1
and the MPEG-2 extension to Lower Sampling Frequencies, as well as the
so-called MPEG 2.5 format. All three audio layers (Layer I, Layer II,
and Layer III a.k.a. MP3) are fully implemented.

%package        devel
Summary:	MPEG audio decoder library development files
Requires:	%{name} = %{version}-%{release}

%description	devel
%{summary}.

%prep
%autosetup -p1 -n %{name}

%build
%cmake -DOPTIMIZE=ACCURACY   
%cmake_build

%install
%cmake_install
rm -f %{buildroot}%{_libdir}/*.la

%ldconfig_scriptlets


%files
%doc CHANGES CREDITS README.md TODO
%license COPYING COPYRIGHT
%{_libdir}/libmad.so.*

%files devel
%{_libdir}/libmad.so
%{_libdir}/cmake/mad/
%{_libdir}/pkgconfig/mad.pc
%{_includedir}/mad.h


%changelog
* Wed Oct 09 2024 Chunmei Xu <xuchunmei@linux.alibaba.com> - 0.16.4-1
- init from upstream
